(function() {
    class ChatWidget {
        constructor() {
            this.isLoaded = false;
            this.init();
        }

        init() {
            // Ӱťʽ
            const buttonStyle = document.createElement('style');
            buttonStyle.textContent = `
                .chat-toggle-button {
                    position: fixed !important;
                    top: 20px !important;
                    right: 20px !important;
                    width: 48px !important;
                    height: 48px !important;
                    background-color: transparent !important;
                    border: 2px solid #2196F3 !important;
                    border-radius: 0 !important;
                    color: white !important;
                    cursor: pointer !important;
                    z-index: 2147483647 !important;
                    display: flex !important;
                    align-items: center !important;
                    justify-content: center !important;
                    transition: all 0.3s ease !important;
                    box-shadow: none !important;
                }

                .chat-toggle-button:hover {
                    transform: scale(1.1) !important;
                    border-color: #1976D2 !important;
                    background-color: transparent !important;
                }

                .chat-toggle-button::after {
                    content: '?' !important;
                    font-size: 36px !important;
                }

                .chat-iframe-container {
                    position: fixed !important;
                    bottom: 80px !important;
                    right: 20px !important;
                    width: 380px !important;
                    height: 600px !important;
                    z-index: 2147483646 !important;
                    display: none;
                    border-radius: 12px !important;
                    overflow: hidden !important;
                    box-shadow: 0 4px 12px rgba(0,0,0,0.15) !important;
                    background: white !important;
                    border: 1px solid rgba(0,0,0,0.1) !important;
                }

                .chat-iframe {
                    width: 100% !important;
                    height: 100% !important;
                    border: none !important;
                    background: transparent !important;
                }

                @media (max-width: 480px) {
                    .chat-iframe-container {
                        width: 100% !important;
                        height: 100% !important;
                        bottom: 0 !important;
                        right: 0 !important;
                        border-radius: 0 !important;
                    }

                    .chat-toggle-button {
                        top: 10px !important;
                        right: 10px !important;
                    }
                }
            `;
            document.head.appendChild(buttonStyle);

            // 찴ť
            const button = document.createElement('button');
            button.className = 'chat-toggle-button';
            button.onclick = () => this.toggleChat();
            document.body.appendChild(button);
            this.toggleButton = button;
        }

        createChatInterface() {
            const container = document.createElement('div');
            container.className = 'chat-iframe-container';

            const iframe = document.createElement('iframe');
            iframe.className = 'chat-iframe';
            iframe.src = 'http://103.74.192.62:5656/';
            
            container.appendChild(iframe);
            document.body.appendChild(container);
            this.chatContainer = container;
        }

        toggleChat() {
            if (!this.isLoaded) {
                this.createChatInterface();
                this.isLoaded = true;
            }
            
            const currentDisplay = this.chatContainer.style.display;
            this.chatContainer.style.display = currentDisplay === 'none' ? 'block' : 'none';
        }
    }

    // ʼ
    if (document.readyState === 'loading') {
        document.addEventListener('DOMContentLoaded', () => {
            window.chatWidget = new ChatWidget();
        });
    } else {
        window.chatWidget = new ChatWidget();
    }
})();